struct irb
Prev | I/O functions for channel-attached devices | Next

## Name

struct irb — interruption response block

## Synopsis

    struct irb {
      struct scsw scsw;
      union esw;
      __u8 ecw[32];
    };

## Members

scsw

  subchannel status word

esw

  extened status word, 4 formats

ecw[32]

  extended control word

## Description

The irb that is handed to the device driver when an interrupt occurs. For solicited interrupts, the common I/O layer already performs checks whether a field is valid; a field not being valid is always passed as `0`. If a unit check occured, `ecw` may contain sense data; this is retrieved by the common I/O layer itself if the device doesn't support concurrent sense (so that the device driver never needs to perform basic sene itself). For unsolicited interrupts, the irb is passed as-is (expect for sense data, if applicable).

Prev | Up | Next
struct esw3 | Home | struct ciw